#ifndef F_CPU
#define F_CPU 12000000
#endif
#include <avr\io.h>
#include "uart.c"
#include "uart.h"

#define Mitte  1730
#define Rechts  350
#define Links  3100

volatile int x=-1;

ISR(USART_RXC_vect)
{
	x=uart_getchar(1)-48; //Empfangenes Zeichen (nur 0,1 oder 2) in int umwandeln
}

int main(void)
{
	DDRD=0;    //PORTD als Eingang mit Pullups
	PORTD=255;

	DDRC=255;  //PORTC als Ausgang, PC0-PC3 mit PullUp (testweise)
	PORTC=15;
	
	DDRB= (1<<PB1);  //PB1 (PWM-Pin) als Ausgang
	
	ICR1   = 20000;  //Frame-Time
	TCCR1A = (1<<COM1A1) | (1<<COM1B1) | (1<<WGM11); //PWM Mode 14, prescaler 8
	TCCR1B = (1<<WGM13) | (1<<WGM12) | (1<<CS11);	
	TCNT1  = 0;
	OCR1A  = Mitte;		//Erstzustand: Mittelstellung
	
	uart_init();	//UART initialisieren (Async, 8bit, 1 stopbit, 9600bd)
	sei();			//Interrupts aktivieren
	
	while(1)
	{
		if(x==0) OCR1A=Links; else
		if(x==1) OCR1A=Mitte; else
		if(x==3) OCR1A=Rechts;
	}

	return 0;

}
